DirectorySlash off
RewriteEngine on
RewriteBase /

# This rule is evaluated even after the last "everything goes to .html" rule,
# meaning it will keep redirecting. :(
#RewriteRule ^(.+)\.html$ $1 [L,R=permanent]

# Old URLs
RewriteRule ^demo/*$             /dump/demo [L,R=permanent]
RewriteRule ^BlueCubes/*$        /dump/demo [L,R=permanent]
RewriteRule ^ncdc/guide/*$       /ncdc/man [L,R=permanent]
RewriteRule ^dump/index2/*$      /dump [L,R=permanent]
RewriteRule ^dump/pmdc2-parse/*$ /dump [L,R=permanent]
RewriteRule ^dump/cbbcode/*$     /dump [L,R=permanent]
RewriteRule ^dump/cechoserv/*$   /dump [L,R=permanent]
RewriteRule ^dump/cyapong/*$     /dump [L,R=permanent]
RewriteRule ^ncdu/issue(.*)$     /ncdu/bug$1 [L,R=permanent]
RewriteRule ^ncdc/issue(.*)$     /ncdc/bug$1 [L,R=permanent]

RewriteRule ^ncdu/bug/1$         https://code.blicky.net/yorhel/ncdu/issues/3 [L,R=permanent]
RewriteRule ^ncdu/bug/2$         https://code.blicky.net/yorhel/ncdu/issues/4 [L,R=permanent]
RewriteRule ^ncdu/bug/3$         https://code.blicky.net/yorhel/ncdu/issues/5 [L,R=permanent]
RewriteRule ^ncdu/bug/4$         https://code.blicky.net/yorhel/ncdu/issues/6 [L,R=permanent]
RewriteRule ^ncdu/bug/5$         https://code.blicky.net/yorhel/ncdu/issues/7 [L,R=permanent]
RewriteRule ^ncdu/bug/6$         https://code.blicky.net/yorhel/ncdu/issues/8 [L,R=permanent]
RewriteRule ^ncdu/bug/9$         https://code.blicky.net/yorhel/ncdu/issues/9 [L,R=permanent]
RewriteRule ^ncdu/bug/10$        https://code.blicky.net/yorhel/ncdu/issues/10 [L,R=permanent]
RewriteRule ^ncdu/bug/13$        https://code.blicky.net/yorhel/ncdu/issues/11 [L,R=permanent]
RewriteRule ^ncdu/bug/14$        https://code.blicky.net/yorhel/ncdu/issues/12 [L,R=permanent]
RewriteRule ^ncdu/bug/15$        https://code.blicky.net/yorhel/ncdu/issues/13 [L,R=permanent]
RewriteRule ^ncdu/bug/16$        https://code.blicky.net/yorhel/ncdu/issues/14 [L,R=permanent]
RewriteRule ^ncdu/bug/17$        https://code.blicky.net/yorhel/ncdu/issues/15 [L,R=permanent]
RewriteRule ^ncdu/bug/18$        https://code.blicky.net/yorhel/ncdu/issues/16 [L,R=permanent]
RewriteRule ^ncdu/bug/19$        https://code.blicky.net/yorhel/ncdu/issues/17 [L,R=permanent]
RewriteRule ^ncdu/bug/20$        https://code.blicky.net/yorhel/ncdu/issues/18 [L,R=permanent]
RewriteRule ^ncdu/bug/21$        https://code.blicky.net/yorhel/ncdu/issues/19 [L,R=permanent]
RewriteRule ^ncdu/bug/22$        https://code.blicky.net/yorhel/ncdu/issues/20 [L,R=permanent]
RewriteRule ^ncdu/bug/24$        https://code.blicky.net/yorhel/ncdu/issues/21 [L,R=permanent]
RewriteRule ^ncdu/bug/25$        https://code.blicky.net/yorhel/ncdu/issues/22 [L,R=permanent]
RewriteRule ^ncdu/bug/26$        https://code.blicky.net/yorhel/ncdu/issues/23 [L,R=permanent]
RewriteRule ^ncdu/bug/27$        https://code.blicky.net/yorhel/ncdu/issues/24 [L,R=permanent]
RewriteRule ^ncdu/bug/28$        https://code.blicky.net/yorhel/ncdu/issues/25 [L,R=permanent]
RewriteRule ^ncdu/bug/29$        https://code.blicky.net/yorhel/ncdu/issues/26 [L,R=permanent]
RewriteRule ^ncdu/bug/30$        https://code.blicky.net/yorhel/ncdu/issues/27 [L,R=permanent]
RewriteRule ^ncdu/bug/31$        https://code.blicky.net/yorhel/ncdu/issues/28 [L,R=permanent]
RewriteRule ^ncdu/bug/32$        https://code.blicky.net/yorhel/ncdu/issues/29 [L,R=permanent]
RewriteRule ^ncdu/bug/33$        https://code.blicky.net/yorhel/ncdu/issues/30 [L,R=permanent]
RewriteRule ^ncdu/bug/34$        https://code.blicky.net/yorhel/ncdu/issues/31 [L,R=permanent]
RewriteRule ^ncdu/bug/35$        https://code.blicky.net/yorhel/ncdu/issues/32 [L,R=permanent]
RewriteRule ^ncdu/bug/36$        https://code.blicky.net/yorhel/ncdu/issues/33 [L,R=permanent]
RewriteRule ^ncdu/bug/37$        https://code.blicky.net/yorhel/ncdu/issues/34 [L,R=permanent]
RewriteRule ^ncdu/bug/38$        https://code.blicky.net/yorhel/ncdu/issues/35 [L,R=permanent]
RewriteRule ^ncdu/bug/39$        https://code.blicky.net/yorhel/ncdu/issues/36 [L,R=permanent]
RewriteRule ^ncdu/bug/40$        https://code.blicky.net/yorhel/ncdu/issues/37 [L,R=permanent]
RewriteRule ^ncdu/bug/41$        https://code.blicky.net/yorhel/ncdu/issues/38 [L,R=permanent]
RewriteRule ^ncdu/bug/42$        https://code.blicky.net/yorhel/ncdu/issues/39 [L,R=permanent]
RewriteRule ^ncdu/bug/43$        https://code.blicky.net/yorhel/ncdu/issues/40 [L,R=permanent]
RewriteRule ^ncdu/bug/44$        https://code.blicky.net/yorhel/ncdu/issues/41 [L,R=permanent]
RewriteRule ^ncdu/bug/45$        https://code.blicky.net/yorhel/ncdu/issues/42 [L,R=permanent]
RewriteRule ^ncdu/bug/46$        https://code.blicky.net/yorhel/ncdu/issues/43 [L,R=permanent]
RewriteRule ^ncdu/bug/47$        https://code.blicky.net/yorhel/ncdu/issues/44 [L,R=permanent]
RewriteRule ^ncdu/bug/48$        https://code.blicky.net/yorhel/ncdu/issues/45 [L,R=permanent]
RewriteRule ^ncdu/bug/49$        https://code.blicky.net/yorhel/ncdu/issues/46 [L,R=permanent]
RewriteRule ^ncdu/bug/50$        https://code.blicky.net/yorhel/ncdu/issues/47 [L,R=permanent]
RewriteRule ^ncdu/bug/51$        https://code.blicky.net/yorhel/ncdu/issues/48 [L,R=permanent]
RewriteRule ^ncdu/bug/52$        https://code.blicky.net/yorhel/ncdu/issues/49 [L,R=permanent]
RewriteRule ^ncdu/bug/53$        https://code.blicky.net/yorhel/ncdu/issues/50 [L,R=permanent]
RewriteRule ^ncdu/bug/54$        https://code.blicky.net/yorhel/ncdu/issues/51 [L,R=permanent]
RewriteRule ^ncdu/bug/55$        https://code.blicky.net/yorhel/ncdu/issues/52 [L,R=permanent]
RewriteRule ^ncdu/bug/56$        https://code.blicky.net/yorhel/ncdu/issues/53 [L,R=permanent]
RewriteRule ^ncdu/bug/57$        https://code.blicky.net/yorhel/ncdu/issues/54 [L,R=permanent]
RewriteRule ^ncdu/bug/58$        https://code.blicky.net/yorhel/ncdu/issues/55 [L,R=permanent]
RewriteRule ^ncdu/bug/59$        https://code.blicky.net/yorhel/ncdu/issues/56 [L,R=permanent]
RewriteRule ^ncdu/bug/60$        https://code.blicky.net/yorhel/ncdu/issues/57 [L,R=permanent]
RewriteRule ^ncdu/bug/61$        https://code.blicky.net/yorhel/ncdu/issues/58 [L,R=permanent]
RewriteRule ^ncdu/bug/62$        https://code.blicky.net/yorhel/ncdu/issues/59 [L,R=permanent]
RewriteRule ^ncdu/bug/63$        https://code.blicky.net/yorhel/ncdu/issues/60 [L,R=permanent]
RewriteRule ^ncdu/bug/64$        https://code.blicky.net/yorhel/ncdu/issues/61 [L,R=permanent]
RewriteRule ^ncdu/bug/65$        https://code.blicky.net/yorhel/ncdu/issues/62 [L,R=permanent]
RewriteRule ^ncdu/bug/66$        https://code.blicky.net/yorhel/ncdu/issues/63 [L,R=permanent]
RewriteRule ^ncdu/bug/67$        https://code.blicky.net/yorhel/ncdu/issues/64 [L,R=permanent]
RewriteRule ^ncdu/bug/68$        https://code.blicky.net/yorhel/ncdu/issues/65 [L,R=permanent]
RewriteRule ^ncdu/bug/69$        https://code.blicky.net/yorhel/ncdu/issues/66 [L,R=permanent]
RewriteRule ^ncdu/bug/70$        https://code.blicky.net/yorhel/ncdu/issues/67 [L,R=permanent]
RewriteRule ^ncdu/bug/71$        https://code.blicky.net/yorhel/ncdu/issues/68 [L,R=permanent]
RewriteRule ^ncdu/bug/72$        https://code.blicky.net/yorhel/ncdu/issues/69 [L,R=permanent]
RewriteRule ^ncdu/bug/73$        https://code.blicky.net/yorhel/ncdu/issues/70 [L,R=permanent]
RewriteRule ^ncdu/bug/74$        https://code.blicky.net/yorhel/ncdu/issues/71 [L,R=permanent]
RewriteRule ^ncdu/bug/75$        https://code.blicky.net/yorhel/ncdu/issues/72 [L,R=permanent]
RewriteRule ^ncdu/bug/76$        https://code.blicky.net/yorhel/ncdu/issues/73 [L,R=permanent]
RewriteRule ^ncdu/bug/77$        https://code.blicky.net/yorhel/ncdu/issues/74 [L,R=permanent]
RewriteRule ^ncdu/bug/78$        https://code.blicky.net/yorhel/ncdu/issues/75 [L,R=permanent]
RewriteRule ^ncdu/bug/79$        https://code.blicky.net/yorhel/ncdu/issues/76 [L,R=permanent]
RewriteRule ^ncdu/bug/80$        https://code.blicky.net/yorhel/ncdu/issues/77 [L,R=permanent]
RewriteRule ^ncdu/bug/81$        https://code.blicky.net/yorhel/ncdu/issues/78 [L,R=permanent]
RewriteRule ^ncdu/bug/82$        https://code.blicky.net/yorhel/ncdu/issues/79 [L,R=permanent]
RewriteRule ^ncdu/bug/83$        https://code.blicky.net/yorhel/ncdu/issues/80 [L,R=permanent]
RewriteRule ^ncdu/bug/84$        https://code.blicky.net/yorhel/ncdu/issues/81 [L,R=permanent]
RewriteRule ^ncdu/bug/85$        https://code.blicky.net/yorhel/ncdu/issues/82 [L,R=permanent]
RewriteRule ^ncdu/bug/86$        https://code.blicky.net/yorhel/ncdu/issues/83 [L,R=permanent]
RewriteRule ^ncdu/bug/87$        https://code.blicky.net/yorhel/ncdu/issues/84 [L,R=permanent]
RewriteRule ^ncdu/bug/88$        https://code.blicky.net/yorhel/ncdu/issues/85 [L,R=permanent]
RewriteRule ^ncdu/bug/89$        https://code.blicky.net/yorhel/ncdu/issues/86 [L,R=permanent]
RewriteRule ^ncdu/bug/90$        https://code.blicky.net/yorhel/ncdu/issues/87 [L,R=permanent]
RewriteRule ^ncdu/bug/91$        https://code.blicky.net/yorhel/ncdu/issues/88 [L,R=permanent]
RewriteRule ^ncdu/bug/92$        https://code.blicky.net/yorhel/ncdu/issues/89 [L,R=permanent]
RewriteRule ^ncdu/bug/93$        https://code.blicky.net/yorhel/ncdu/issues/90 [L,R=permanent]
RewriteRule ^ncdu/bug/94$        https://code.blicky.net/yorhel/ncdu/issues/91 [L,R=permanent]
RewriteRule ^ncdu/bug/95$        https://code.blicky.net/yorhel/ncdu/issues/92 [L,R=permanent]
RewriteRule ^ncdu/bug/96$        https://code.blicky.net/yorhel/ncdu/issues/93 [L,R=permanent]
RewriteRule ^ncdu/bug/97$        https://code.blicky.net/yorhel/ncdu/issues/94 [L,R=permanent]
RewriteRule ^ncdu/bug/98$        https://code.blicky.net/yorhel/ncdu/issues/95 [L,R=permanent]
RewriteRule ^ncdu/bug/99$        https://code.blicky.net/yorhel/ncdu/issues/96 [L,R=permanent]
RewriteRule ^ncdu/bug/100$       https://code.blicky.net/yorhel/ncdu/issues/97 [L,R=permanent]
RewriteRule ^ncdu/bug/101$       https://code.blicky.net/yorhel/ncdu/issues/98 [L,R=permanent]
RewriteRule ^ncdu/bug/102$       https://code.blicky.net/yorhel/ncdu/issues/99 [L,R=permanent]
RewriteRule ^ncdu/bug/103$       https://code.blicky.net/yorhel/ncdu/issues/100 [L,R=permanent]
RewriteRule ^ncdu/bug/104$       https://code.blicky.net/yorhel/ncdu/issues/101 [L,R=permanent]
RewriteRule ^ncdu/bug/105$       https://code.blicky.net/yorhel/ncdu/issues/102 [L,R=permanent]
RewriteRule ^ncdu/bug/106$       https://code.blicky.net/yorhel/ncdu/issues/103 [L,R=permanent]
RewriteRule ^ncdu/bug/107$       https://code.blicky.net/yorhel/ncdu/issues/104 [L,R=permanent]
RewriteRule ^ncdu/bug/108$       https://code.blicky.net/yorhel/ncdu/issues/105 [L,R=permanent]
RewriteRule ^ncdu/bug/109$       https://code.blicky.net/yorhel/ncdu/issues/106 [L,R=permanent]
RewriteRule ^ncdu/bug/110$       https://code.blicky.net/yorhel/ncdu/issues/107 [L,R=permanent]
RewriteRule ^ncdu/bug/111$       https://code.blicky.net/yorhel/ncdu/issues/108 [L,R=permanent]
RewriteRule ^ncdu/bug/112$       https://code.blicky.net/yorhel/ncdu/issues/109 [L,R=permanent]
RewriteRule ^ncdu/bug/113$       https://code.blicky.net/yorhel/ncdu/issues/110 [L,R=permanent]
RewriteRule ^ncdu/bug/114$       https://code.blicky.net/yorhel/ncdu/issues/111 [L,R=permanent]
RewriteRule ^ncdu/bug/115$       https://code.blicky.net/yorhel/ncdu/issues/112 [L,R=permanent]
RewriteRule ^ncdu/bug/116$       https://code.blicky.net/yorhel/ncdu/issues/113 [L,R=permanent]
RewriteRule ^ncdu/bug/117$       https://code.blicky.net/yorhel/ncdu/issues/114 [L,R=permanent]
RewriteRule ^ncdu/bug/118$       https://code.blicky.net/yorhel/ncdu/issues/115 [L,R=permanent]
RewriteRule ^ncdu/bug/119$       https://code.blicky.net/yorhel/ncdu/issues/116 [L,R=permanent]
RewriteRule ^ncdu/bug/120$       https://code.blicky.net/yorhel/ncdu/issues/117 [L,R=permanent]
RewriteRule ^ncdu/bug/121$       https://code.blicky.net/yorhel/ncdu/issues/118 [L,R=permanent]
RewriteRule ^ncdu/bug/122$       https://code.blicky.net/yorhel/ncdu/issues/119 [L,R=permanent]
RewriteRule ^ncdu/bug/123$       https://code.blicky.net/yorhel/ncdu/issues/120 [L,R=permanent]
RewriteRule ^ncdu/bug/124$       https://code.blicky.net/yorhel/ncdu/issues/121 [L,R=permanent]
RewriteRule ^ncdu/bug/125$       https://code.blicky.net/yorhel/ncdu/issues/122 [L,R=permanent]
RewriteRule ^ncdu/bug/126$       https://code.blicky.net/yorhel/ncdu/issues/123 [L,R=permanent]
RewriteRule ^ncdu/bug/127$       https://code.blicky.net/yorhel/ncdu/issues/124 [L,R=permanent]
RewriteRule ^ncdu/bug/128$       https://code.blicky.net/yorhel/ncdu/issues/125 [L,R=permanent]
RewriteRule ^ncdu/bug.*$         https://code.blicky.net/yorhel/ncdu/issues [L,R=permanent]

RewriteRule ^ncdc/bug/1$         https://code.blicky.net/yorhel/ncdc/issues/1 [L,R=permanent]
RewriteRule ^ncdc/bug/2$         https://code.blicky.net/yorhel/ncdc/issues/2 [L,R=permanent]
RewriteRule ^ncdc/bug/3$         https://code.blicky.net/yorhel/ncdc/issues/3 [L,R=permanent]
RewriteRule ^ncdc/bug/4$         https://code.blicky.net/yorhel/ncdc/issues/4 [L,R=permanent]
RewriteRule ^ncdc/bug/5$         https://code.blicky.net/yorhel/ncdc/issues/5 [L,R=permanent]
RewriteRule ^ncdc/bug/9$         https://code.blicky.net/yorhel/ncdc/issues/6 [L,R=permanent]
RewriteRule ^ncdc/bug/10$        https://code.blicky.net/yorhel/ncdc/issues/7 [L,R=permanent]
RewriteRule ^ncdc/bug/11$        https://code.blicky.net/yorhel/ncdc/issues/8 [L,R=permanent]
RewriteRule ^ncdc/bug/12$        https://code.blicky.net/yorhel/ncdc/issues/9 [L,R=permanent]
RewriteRule ^ncdc/bug/13$        https://code.blicky.net/yorhel/ncdc/issues/10 [L,R=permanent]
RewriteRule ^ncdc/bug/14$        https://code.blicky.net/yorhel/ncdc/issues/11 [L,R=permanent]
RewriteRule ^ncdc/bug/17$        https://code.blicky.net/yorhel/ncdc/issues/12 [L,R=permanent]
RewriteRule ^ncdc/bug/18$        https://code.blicky.net/yorhel/ncdc/issues/13 [L,R=permanent]
RewriteRule ^ncdc/bug/19$        https://code.blicky.net/yorhel/ncdc/issues/14 [L,R=permanent]
RewriteRule ^ncdc/bug/20$        https://code.blicky.net/yorhel/ncdc/issues/15 [L,R=permanent]
RewriteRule ^ncdc/bug/21$        https://code.blicky.net/yorhel/ncdc/issues/16 [L,R=permanent]
RewriteRule ^ncdc/bug/24$        https://code.blicky.net/yorhel/ncdc/issues/17 [L,R=permanent]
RewriteRule ^ncdc/bug/25$        https://code.blicky.net/yorhel/ncdc/issues/18 [L,R=permanent]
RewriteRule ^ncdc/bug/26$        https://code.blicky.net/yorhel/ncdc/issues/19 [L,R=permanent]
RewriteRule ^ncdc/bug/27$        https://code.blicky.net/yorhel/ncdc/issues/20 [L,R=permanent]
RewriteRule ^ncdc/bug/28$        https://code.blicky.net/yorhel/ncdc/issues/21 [L,R=permanent]
RewriteRule ^ncdc/bug/29$        https://code.blicky.net/yorhel/ncdc/issues/22 [L,R=permanent]
RewriteRule ^ncdc/bug/30$        https://code.blicky.net/yorhel/ncdc/issues/23 [L,R=permanent]
RewriteRule ^ncdc/bug/31$        https://code.blicky.net/yorhel/ncdc/issues/24 [L,R=permanent]
RewriteRule ^ncdc/bug/32$        https://code.blicky.net/yorhel/ncdc/issues/25 [L,R=permanent]
RewriteRule ^ncdc/bug/33$        https://code.blicky.net/yorhel/ncdc/issues/26 [L,R=permanent]
RewriteRule ^ncdc/bug/34$        https://code.blicky.net/yorhel/ncdc/issues/27 [L,R=permanent]
RewriteRule ^ncdc/bug/35$        https://code.blicky.net/yorhel/ncdc/issues/28 [L,R=permanent]
RewriteRule ^ncdc/bug/36$        https://code.blicky.net/yorhel/ncdc/issues/29 [L,R=permanent]
RewriteRule ^ncdc/bug/37$        https://code.blicky.net/yorhel/ncdc/issues/30 [L,R=permanent]
RewriteRule ^ncdc/bug/38$        https://code.blicky.net/yorhel/ncdc/issues/31 [L,R=permanent]
RewriteRule ^ncdc/bug/39$        https://code.blicky.net/yorhel/ncdc/issues/32 [L,R=permanent]
RewriteRule ^ncdc/bug/40$        https://code.blicky.net/yorhel/ncdc/issues/33 [L,R=permanent]
RewriteRule ^ncdc/bug/41$        https://code.blicky.net/yorhel/ncdc/issues/34 [L,R=permanent]
RewriteRule ^ncdc/bug/42$        https://code.blicky.net/yorhel/ncdc/issues/35 [L,R=permanent]
RewriteRule ^ncdc/bug/43$        https://code.blicky.net/yorhel/ncdc/issues/36 [L,R=permanent]
RewriteRule ^ncdc/bug/44$        https://code.blicky.net/yorhel/ncdc/issues/37 [L,R=permanent]
RewriteRule ^ncdc/bug/45$        https://code.blicky.net/yorhel/ncdc/issues/38 [L,R=permanent]
RewriteRule ^ncdc/bug/46$        https://code.blicky.net/yorhel/ncdc/issues/39 [L,R=permanent]
RewriteRule ^ncdc/bug/47$        https://code.blicky.net/yorhel/ncdc/issues/40 [L,R=permanent]
RewriteRule ^ncdc/bug/48$        https://code.blicky.net/yorhel/ncdc/issues/41 [L,R=permanent]
RewriteRule ^ncdc/bug/49$        https://code.blicky.net/yorhel/ncdc/issues/42 [L,R=permanent]
RewriteRule ^ncdc/bug/50$        https://code.blicky.net/yorhel/ncdc/issues/43 [L,R=permanent]
RewriteRule ^ncdc/bug/51$        https://code.blicky.net/yorhel/ncdc/issues/44 [L,R=permanent]
RewriteRule ^ncdc/bug/52$        https://code.blicky.net/yorhel/ncdc/issues/45 [L,R=permanent]
RewriteRule ^ncdc/bug/53$        https://code.blicky.net/yorhel/ncdc/issues/46 [L,R=permanent]
RewriteRule ^ncdc/bug/54$        https://code.blicky.net/yorhel/ncdc/issues/47 [L,R=permanent]
RewriteRule ^ncdc/bug/55$        https://code.blicky.net/yorhel/ncdc/issues/48 [L,R=permanent]
RewriteRule ^ncdc/bug/56$        https://code.blicky.net/yorhel/ncdc/issues/49 [L,R=permanent]
RewriteRule ^ncdc/bug/57$        https://code.blicky.net/yorhel/ncdc/issues/50 [L,R=permanent]
RewriteRule ^ncdc/bug/58$        https://code.blicky.net/yorhel/ncdc/issues/51 [L,R=permanent]
RewriteRule ^ncdc/bug/59$        https://code.blicky.net/yorhel/ncdc/issues/52 [L,R=permanent]
RewriteRule ^ncdc/bug/60$        https://code.blicky.net/yorhel/ncdc/issues/53 [L,R=permanent]
RewriteRule ^ncdc/bug/61$        https://code.blicky.net/yorhel/ncdc/issues/54 [L,R=permanent]
RewriteRule ^ncdc/bug/62$        https://code.blicky.net/yorhel/ncdc/issues/55 [L,R=permanent]
RewriteRule ^ncdc/bug/63$        https://code.blicky.net/yorhel/ncdc/issues/56 [L,R=permanent]
RewriteRule ^ncdc/bug/64$        https://code.blicky.net/yorhel/ncdc/issues/57 [L,R=permanent]
RewriteRule ^ncdc/bug/65$        https://code.blicky.net/yorhel/ncdc/issues/58 [L,R=permanent]
RewriteRule ^ncdc/bug/66$        https://code.blicky.net/yorhel/ncdc/issues/59 [L,R=permanent]
RewriteRule ^ncdc/bug/67$        https://code.blicky.net/yorhel/ncdc/issues/60 [L,R=permanent]
RewriteRule ^ncdc/bug/68$        https://code.blicky.net/yorhel/ncdc/issues/61 [L,R=permanent]
RewriteRule ^ncdc/bug/69$        https://code.blicky.net/yorhel/ncdc/issues/62 [L,R=permanent]
RewriteRule ^ncdc/bug/70$        https://code.blicky.net/yorhel/ncdc/issues/63 [L,R=permanent]
RewriteRule ^ncdc/bug/71$        https://code.blicky.net/yorhel/ncdc/issues/64 [L,R=permanent]
RewriteRule ^ncdc/bug/72$        https://code.blicky.net/yorhel/ncdc/issues/65 [L,R=permanent]
RewriteRule ^ncdc/bug/73$        https://code.blicky.net/yorhel/ncdc/issues/66 [L,R=permanent]
RewriteRule ^ncdc/bug/74$        https://code.blicky.net/yorhel/ncdc/issues/67 [L,R=permanent]
RewriteRule ^ncdc/bug/75$        https://code.blicky.net/yorhel/ncdc/issues/68 [L,R=permanent]
RewriteRule ^ncdc/bug/76$        https://code.blicky.net/yorhel/ncdc/issues/69 [L,R=permanent]
RewriteRule ^ncdc/bug/77$        https://code.blicky.net/yorhel/ncdc/issues/70 [L,R=permanent]
RewriteRule ^ncdc/bug/78$        https://code.blicky.net/yorhel/ncdc/issues/71 [L,R=permanent]
RewriteRule ^ncdc/bug/79$        https://code.blicky.net/yorhel/ncdc/issues/72 [L,R=permanent]
RewriteRule ^ncdc/bug/80$        https://code.blicky.net/yorhel/ncdc/issues/73 [L,R=permanent]
RewriteRule ^ncdc/bug/81$        https://code.blicky.net/yorhel/ncdc/issues/74 [L,R=permanent]
RewriteRule ^ncdc/bug/82$        https://code.blicky.net/yorhel/ncdc/issues/75 [L,R=permanent]
RewriteRule ^ncdc/bug/83$        https://code.blicky.net/yorhel/ncdc/issues/76 [L,R=permanent]
RewriteRule ^ncdc/bug/84$        https://code.blicky.net/yorhel/ncdc/issues/77 [L,R=permanent]
RewriteRule ^ncdc/bug/85$        https://code.blicky.net/yorhel/ncdc/issues/78 [L,R=permanent]
RewriteRule ^ncdc/bug/86$        https://code.blicky.net/yorhel/ncdc/issues/79 [L,R=permanent]
RewriteRule ^ncdc/bug/87$        https://code.blicky.net/yorhel/ncdc/issues/80 [L,R=permanent]
RewriteRule ^ncdc/bug/88$        https://code.blicky.net/yorhel/ncdc/issues/81 [L,R=permanent]
RewriteRule ^ncdc/bug/89$        https://code.blicky.net/yorhel/ncdc/issues/82 [L,R=permanent]
RewriteRule ^ncdc/bug/90$        https://code.blicky.net/yorhel/ncdc/issues/83 [L,R=permanent]
RewriteRule ^ncdc/bug/91$        https://code.blicky.net/yorhel/ncdc/issues/84 [L,R=permanent]
RewriteRule ^ncdc/bug/92$        https://code.blicky.net/yorhel/ncdc/issues/85 [L,R=permanent]
RewriteRule ^ncdc/bug/93$        https://code.blicky.net/yorhel/ncdc/issues/86 [L,R=permanent]
RewriteRule ^ncdc/bug/94$        https://code.blicky.net/yorhel/ncdc/issues/87 [L,R=permanent]
RewriteRule ^ncdc/bug/95$        https://code.blicky.net/yorhel/ncdc/issues/88 [L,R=permanent]
RewriteRule ^ncdc/bug/96$        https://code.blicky.net/yorhel/ncdc/issues/89 [L,R=permanent]
RewriteRule ^ncdc/bug.*$         https://code.blicky.net/yorhel/ncdc/issues [L,R=permanent]

RewriteRule ^yxml/bug/1$         https://code.blicky.net/yorhel/yxml/issues/1 [L,R=permanent]
RewriteRule ^yxml/bug/2$         https://code.blicky.net/yorhel/yxml/issues/2 [L,R=permanent]
RewriteRule ^yxml/bug.*$         https://code.blicky.net/yorhel/yxml/issues [L,R=permanent]

# No trailing slash (except for the download/ directory index)
RewriteCond %{REQUEST_URI} !^/download
RewriteRule ^(.+)/$ $1 [L,R=permanent]

RewriteCond %{REQUEST_FILENAME}.html -s
RewriteRule ^(.+)$ $1.html [L]
